/*******************************************************************************
This software module was originally developed by

Institute for Infocomm Research and Fraunhofer IIS

and edited by

-

in the course of development of ISO/IEC 14496 for reference purposes and its
performance may not have been optimized. This software module is an
implementation of one or more tools as specified by ISO/IEC 14496. ISO/IEC gives
You a royalty-free, worldwide, non-exclusive, copyright license to copy,
distribute, and make derivative works of this software module or modifications
thereof for use in implementations of ISO/IEC 14496 in products that satisfy
conformance criteria (if any). Those intending to use this software module in
products are advised that its use may infringe existing patents. ISO/IEC have no
liability for use of this software module or modifications thereof. Copyright is
not released for products that do not conform to audiovisual and image-coding
related ITU Recommendations and/or ISO/IEC International Standards.



Institute for Infocomm Research and Fraunhofer IIS retain full right to
modify and use the code for their own purpose, assign or donate the code
to a third party and to inhibit third parties from using the code for products
that do not conform to MPEG-related ITU Recommendations and/or ISO/IEC
International Standards. This copyright notice must be included in all copies or
derivative works.

Copyright (c) ISO/IEC 2005.
*******************************************************************************/



#ifndef __INV_INT_MDCT_H
#define __INV_INT_MDCT_H


#include "all.h"
#include "int_mdct_defs.h"

void InvIntMDCT(int* p_in,
		int* p_overlap,
		int* p_out,	
		byte windowType,
		byte windowShape,
		int osf);

void InvStereoIntMDCT(int* p_in_0,
		      int* p_in_1,
		      int* p_overlap_0,
		      int* p_overlap_1,
		      int* p_out_0,	
		      int* p_out_1,	
		      byte windowType,
		      byte windowShape,
		      int osf);

void countInstructionsPrint();

#endif




